<?php
function drk_add_market_site_meta_boxes(){
	add_meta_box(
		"post_metadata_market_site_id",
		"Link URL",
		"drk_meta_box_market_site",
        array("markets","venders",'tlg_channels','other_services','top_forums'),
		"normal",
		'default'
	);
}

add_action('add_meta_boxes', "drk_add_market_site_meta_boxes");

function drk_meta_box_market_site() {
	global $post;
	$market_site = get_post_meta($post->ID, '_market_site',true);
	?>
	    <input name="_market_site" type="text" value="<?php echo $market_site?>"/> 
<?php
}

function drk_save_market_site_meta_boxes(){
	global $post;
	if(defined('DOING_AUTOSAVE') && DOING_AUTOSAVE){
		return;
	}
	update_post_meta($post->ID,"_market_site", $_POST["_market_site"]);
	
}

add_action("save_post", "drk_save_market_site_meta_boxes");